using System.Text.Json.Serialization;

namespace Hotline.Share.Dtos
{
    /// <summary>
    /// 上报工单处理结果/退回
    /// </summary>
    public class GetCaseReultSendModel
    {
        /// <summary>
        /// 答复单位
        /// </summary>
        [JsonPropertyName("DEPT_NAME")]
        public string DEPT_NAME { get; set; }

        /// <summary>
        /// 答复时间
        /// </summary>
        [JsonPropertyName("FINISH_TIME")]
        public string? FINISH_TIME { get; set; }

        /// <summary>
        /// 答复人员
        /// </summary>
        [JsonPropertyName("FINISH_NAME")]
        public string FINISH_NAME { get; set; }

        /// <summary>
        /// 办理情况
        /// </summary>
        [JsonPropertyName("FINISH_NOTE")]
        public string FINISH_NOTE { get; set; }

        /// <summary>
        /// 办理操作
        /// </summary>
        [JsonPropertyName("FINISH_TYPE")]
        public string FINISH_TYPE { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [JsonPropertyName("END_DEPT")]
        public string END_DEPT { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [JsonPropertyName("END_NAME")]
        public string END_NAME { get; set; }

        /// <summary>
        /// 联系时间
        /// </summary>
        [JsonPropertyName("CONCACT_TIME")]
        public string? CONCACT_TIME { get; set; }

        /// <summary>
        /// 联系方式
        /// </summary>
        [JsonPropertyName("CONCACT_TYPE")]
        public string CONCACT_TYPE { get; set; }

        /// <summary>
        /// 签收时间
        /// </summary>
        [JsonPropertyName("SIGN_TIME")]
        public string? SIGN_TIME { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        [JsonPropertyName("FDBACKTIME")]
        public string? FDBACKTIME { get; set; }

        /// <summary>
        /// 交办时间
        /// </summary>
        [JsonPropertyName("SEND_TIME")]
        public string? SEND_TIME { get; set; }

        /// <summary>
        /// 反馈意见
        /// </summary>
        [JsonPropertyName("FDBACK")]
        public string FDBACK { get; set; }

        /// <summary>
        /// 办理时长
        /// </summary>
        [JsonPropertyName("HANDLETIME_LONG")]
        public decimal? HANDLETIME_LONG { get; set; }

        /// <summary>
        /// 任务单关联 guid
        /// </summary>
        [JsonPropertyName("TROWGUID")]
        public string TROWGUID { get; set; }

        /// <summary>
        /// 退回类型
        /// </summary>
        [JsonPropertyName("BACKTYPE")]
        public string BACKTYPE { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        public string CASE_SERIAL { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AREA_CODE { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        public string CLIENG_GUID { get; set; }
    }
}
